package eu.mhsl.minenet.minigames.message;

import net.kyori.adventure.text.Component;
import net.kyori.adventure.text.format.NamedTextColor;

@SuppressWarnings("UnnecessaryUnicodeEscape")
public enum Icon {
    SCIENCE("\uD83E\uDDEA", NamedTextColor.LIGHT_PURPLE),
    STAR("\u2606", NamedTextColor.GOLD),
    CHAT("\u276F\u276F", NamedTextColor.WHITE),
    SUCCESS("\u2714", NamedTextColor.GREEN),
    ERROR("\u274C", NamedTextColor.RED),
    TIME("\u231B", NamedTextColor.YELLOW),
    INFO("\uD83D\uDD14", NamedTextColor.AQUA),
    LEAVE("\u2B05", NamedTextColor.DARK_GRAY);

    private final String symbol;
    private final NamedTextColor color;

    Icon(String symbol, NamedTextColor color) {
        this.symbol = symbol;
        this.color = color;
    }

    public String getSymbol() {
        return this.symbol;
    }

    public NamedTextColor getColor() {
        return this.color;
    }

    public Component getComponent() {
        return Component.text(this.getSymbol(), this.getColor());
    }
}
